Bug 257902 - www/node: Update to 16.8.0
Summary: www/node: Update to 16.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL: https://github.com/nodejs/node/blob/m...
Keywords: security
Depends on:
Blocks:
 
Reported: 2021-08-17 01:59 UTC by Jose Luis Duran
Modified: 2021-09-22 03:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments
www/node: Update to 16.6.2 (16.23 KB, patch)
2021-08-17 01:59 UTC, Jose Luis Duran
no flags Details | Diff
www/node: Update to 16.8.0 (16.36 KB, patch)
2021-08-31 16:29 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2021-08-17 01:59:52 UTC
Created attachment 227264 [details]
www/node: Update to 16.6.2

Changelog: https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V16.md#16.6.2

Differential Revision: https://reviews.freebsd.org/D31433

It includes an out-of-tree patch, being tracked in: https://github.com/nodejs/node/pull/39739
Comment 1 Jose Luis Duran 2021-08-31 16:29:36 UTC
Created attachment 227570 [details]
www/node: Update to 16.8.0
Comment 2 commit-hook freebsd_committer 2021-09-21 20:29:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ea44dd1e8a65599624575c677937c41fa46624c1

commit ea44dd1e8a65599624575c677937c41fa46624c1
Author:     Bradley T. Hughes <bhughes@FreeBSD.org>
AuthorDate: 2021-09-14 07:18:36 +0000
Commit:     Bradley T. Hughes <bhughes@FreeBSD.org>
CommitDate: 2021-09-21 20:27:01 +0000

    www/node: Update 16.7.0 -> 16.8.0

    https://nodejs.org/en/blog/release/v16.8.0/

    PR:             257902
    Sponsored by:   Miles AS

 www/node/Makefile | 2 +-
 www/node/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 3 Bradley T. Hughes freebsd_committer 2021-09-22 03:36:53 UTC
Committed an update to www/node to bring it all the way to 16.9.1.

Thanks for the report and patch :)